Foxit PDF RDK

Public Member Functions | Public Attributes | List of all members
CalcPageContentTask Class Reference

Represents a task for calculating the content of a specific page in a PDF document. More...

Inheritance diagram for CalcPageContentTask:

## Public Member Functions
| constructor (doc, pageIndex, cropMode, cb)
| Constructor for the CalcPageContentTask class. More...
| getPageIndex ()
| Retrieves the index of the page whose content is being calculated. More...
| getRectF ()
| Retrieves the rectangle defining the area for content calculation. More...
Public Member Functions inherited from Task
| canCancel ()
| Checks if the task can be cancelled. More...
| cancel ()
| Cancels the task. Attempts to cancel the task if it is in a cancellable state.
| constructor ()
| Constructor for the Task class. Initializes a new instance of the Task.
| errorCode ()
| Gets the error code of the task. More...
| exeSuccess ()
| Checks if the task was executed successfully. More...
| extErrorCode ()
| Gets the extended error code of the task. More...
| finish ()
| Marks the task as finished. Completes the task and performs any necessary cleanup.
| getPriority ()
| Gets the current priority of the task. More...
| getStatus ()
| Gets the current status of the task. More...
| isCanceled ()
| Checks if the task has been cancelled. More...
| isModify ()
| Checks if the task has been modified. More...
| notify (result)
| Notifies about the result of the js funcion. More...
| prepare ()
| Prepares the task for execution. Performs any necessary setup before the task can be run.
| setErrorCode (error)
| Sets the error code for the task. More...
| setPriority (priority)
| Sets the priority of the task. More...
| setStatus (status)
| Sets the status of the task. More...

## Public Attributes
| getCropMode
| Retrieves the cropping mode applied during content calculation. More...

## Detailed Description

Represents a task for calculating the content of a specific page in a PDF document.

## Member Function Documentation

## ◆ constructor()

CalcPageContentTask.constructor | ( | doc | ,
|  | pageIndex | ,
|  | cropMode | ,
|  | cb |
| ) |  |

Constructor for the CalcPageContentTask class.

Parameters

  {PDFDoc} | doc - The PDF document in which the page content is to be calculated.
  {number} | pageIndex - The index of the page whose content is being calculated.
  {number} | cropMode - The cropping mode applied during the calculation.
  {CalcPageContentTaskCallBack} | cb - The callback to be invoked with the result of the content calculation task. Initializes a new instance of the CalcPageContentTask with the specified document, page index, crop mode, and callback.

## ◆ getPageIndex()

CalcPageContentTask.getPageIndex | ( |  | ) |

Retrieves the index of the page whose content is being calculated.

Returns
  {number} The index of the page.

## ◆ getRectF()

CalcPageContentTask.getRectF | ( |  | ) |

Retrieves the rectangle defining the area for content calculation.

Returns
  {RectF} The rectangle area used for content calculation.

## Member Data Documentation

## ◆ getCropMode

CalcPageContentTask.getCropMode

Retrieves the cropping mode applied during content calculation.

Returns
  {number} The cropping mode.